Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class KeyStoreDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.KeyStoreDO

    public class KeyStoreDO

extends AbstractDataObject

Constructor Summary
`KeyStoreDO()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getFilePath()`
`boolean` | `getIsPrimaryKeyStore()`
`java.lang.String` | `getKeyStoreName()`
`java.lang.String` | `getKeyStoreType()`
`java.util.Set` | `getPkStoreServices()`
`java.lang.String` | `getPrivateKeyAlias()`
`java.lang.String` | `getPrivateKeyPassword()`
`java.lang.String` | `getProvider()`
`java.lang.String` | `getStorePassword()`
`java.util.Set` | `getTrustStoreServices()`
`int` | `hashCode()`
`void` | `setFilePath(java.lang.String filePath)`
`void` | `setIsPrimaryKeyStore(boolean primaryKeyStore)`
`void` | `setKeyStoreName(java.lang.String keyStoreName)`
`void` | `setKeyStoreType(java.lang.String keyStoreType)`
`void` | `setPkStoreServices(java.util.Set pkStoreServices)`
`void` | `setPrivateKeyAlias(java.lang.String privateKeyAlias)`
`void` | `setPrivateKeyPassword(java.lang.String privateKeyPassword)`
`void` | `setProvider(java.lang.String provider)`
`void` | `setStorePassword(java.lang.String storePassword)`
`void` | `setTrustStoreServices(java.util.Set trustStoreServices)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreDO

    public KeyStoreDO()

Method Detail

### getFilePath

    public java.lang.String getFilePath()

### setFilePath

    public void setFilePath(java.lang.String filePath)

### getStorePassword

    public java.lang.String getStorePassword()

### setStorePassword

    public void setStorePassword(java.lang.String storePassword)

### getPrivateKeyPassword

    public java.lang.String getPrivateKeyPassword()

### setPrivateKeyPassword

    public void setPrivateKeyPassword(java.lang.String privateKeyPassword)

### getKeyStoreName

    public java.lang.String getKeyStoreName()

### setKeyStoreName

    public void setKeyStoreName(java.lang.String keyStoreName)

### getPrivateKeyAlias

    public java.lang.String getPrivateKeyAlias()

### setPrivateKeyAlias

    public void setPrivateKeyAlias(java.lang.String privateKeyAlias)

### getKeyStoreType

    public java.lang.String getKeyStoreType()

### setKeyStoreType

    public void setKeyStoreType(java.lang.String keyStoreType)

### getIsPrimaryKeyStore

    public boolean getIsPrimaryKeyStore()

### setIsPrimaryKeyStore

    public void setIsPrimaryKeyStore(boolean primaryKeyStore)

### getProvider

    public java.lang.String getProvider()

### setProvider

    public void setProvider(java.lang.String provider)

### getTrustStoreServices

    public java.util.Set getTrustStoreServices()

### setTrustStoreServices

    public void setTrustStoreServices(java.util.Set trustStoreServices)

### getPkStoreServices

    public java.util.Set getPkStoreServices()

### setPkStoreServices

    public void setPkStoreServices(java.util.Set pkStoreServices)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD